package connecttodbms;

/**
 * Title:
 * Description:
 * Copyright:    Copyright (c) 2000
 * Company:      Joller-Voss GmbH
 * @author J.M.Joller
 * @version 1.0
 */

import java.sql.*;

public class ConnectToCoffeeBreakDB {

	public static void main(String args[]) {

		String url = "jdbc:odbc:coffeebreak";
		Connection con;
    System.out.println("Try : Class.forName - Laden des Drivers");
		try {
			Class.forName ("sun.jdbc.odbc.JdbcOdbcDriver");

		} catch(java.lang.ClassNotFoundException e) {
			System.err.print("ClassNotFoundException: ");
			System.err.println(e.getMessage());
		}

    System.out.println("Try : DriverManager.getConnection - Verbindung herstellen");
		try {
			con = DriverManager.getConnection(url,
									 "", "");
      System.out.println("con.close() - Verbindung schliessen");
			con.close();

		} catch(SQLException ex) {
			System.err.println("SQLException: Verbindungsaufbau " + ex.getMessage());
		}
	}
}

