package flugreservation;

import java.rmi.*;
import java.rmi.server.*;
/**
 * Title:
 * Description:
 * Copyright:    Copyright (c) 2000
 * Company:      Joller-Voss GmbH
 * @author J.M.Joller
 * @version 1.0
 */

public class KundenReservation_Impl extends UnicastRemoteObject implements KundenReservation {

    private Datenbank db = null;

    // Aufruf von super(),
    // super exportiert das Objekt
    KundenReservation_Impl (Datenbank db) throws RemoteException {
	this.db = db;
    }

    // neue Reservation einfgen
    public void festlegenEinerReservation (String kundenID, String flugNummer, String
	bestaetigungsNummer, String serviceKlasse) throws RemoteException {

	try {
	    db.taetigeReservation(kundenID, flugNummer, bestaetigungsNummer, serviceKlasse);
        } catch (InvalidTransactionException e) {
            System.err.println ("Exception in festlegenEinerReservation : " + e);
	}
    }

}
