package sqlstatementmittext;

/**
 * Title:
 * Description:
 * Copyright:    Copyright (c) 2000
 * Company:      Joller-Voss GmbH
 * @author J.M.Joller
 * @version 1.0
 */

import java.sql.*;

public class SQLStatementMitText  {
	public static void main(String args[]) {
          System.out.println("Abfrage einer ODBC Datenbank mit Hilfe von SQL");
          String url = "jdbc:odbc:COFFEES";
          Connection con;
          String query = "select * from COFFEES.txt";
          Statement stmt;
          try {
            System.out.println("JDBC ODBC Driver");
            Class.forName("sun.jdbc.odbc.JdbcOdbcDriver");
          } catch(java.lang.ClassNotFoundException e) {
            System.err.print("ClassNotFoundException: ");
            System.err.println(e.getMessage());
          }
          try {
            System.out.println("Verbindungsaufbau mit der Datenbank");
            con = DriverManager.getConnection(url,"", "");

            stmt = con.createStatement();
            ResultSet rs = stmt.executeQuery(query);
            ResultSetMetaData rsmd = rs.getMetaData();
            int numberOfColumns = rsmd.getColumnCount();
            int rowCount = 1;
            while (rs.next()) {
              System.out.println("Zeile " + rowCount + ":  ");
              for (int i = 1; i <= numberOfColumns; i++) {
                System.out.print("   Spalte " + i + ":  ");
                System.out.println(rs.getString(i));
              }
            System.out.println("");
            rowCount++;
          }
          stmt.close();
          con.close();

        } catch(SQLException ex) {
          System.err.print("SQLException: ");
          System.err.println(ex.getMessage());
        }
      }
}

