package createtable;

/**
 * Title:
 * Description:
 * Copyright:    Copyright (c) 2000
 * Company:      Joller-Voss GmbH
 * @author J.M.Joller
 * @version 1.0
 */

import java.sql.*;

public class CreateCoffees {

	public static void main(String args[]) {

		String url = "jdbc:odbc:coffeebreak";
		Connection con;
		String createString;
		createString = "create table COFFEES " +
							"(COF_NAME varchar(32), " +
							"SUP_ID INTEGER, " +
							"PRICE FLOAT, " +
							"SALES INTEGER, " +
							"TOTAL INTEGER)";
		Statement stmt;

		try {
      System.out.println("Class.forName - Driver laden");
			Class.forName("sun.jdbc.odbc.JdbcOdbcDriver");

		} catch(java.lang.ClassNotFoundException e) {
			System.err.print("ClassNotFoundException: ");
			System.err.println(e.getMessage());
		}

		try {
      System.out.println("DriverManager.getConnection - Verbindung aufbauen");
			con = DriverManager.getConnection(url,
									 "", "");

      System.out.println("createStatement - SQL Cursor zur Datenquelle kreieren");
			stmt = con.createStatement();
      try {
        System.out.println("executeUpdate - SQL Statement uebergeben");
	   	  stmt.executeUpdate(createString); }
      catch(SQLException eSQL) {
        System.out.println("executeUpdate - Fehler beim Kreieren der Tabelle "+eSQL.getMessage() );
      }

      System.out.println("close() - Verbindung abbauen");
			stmt.close();
			con.close();

		} catch(SQLException ex) {
			System.err.println("SQLException: " + ex.getMessage());
		}
	}
}

