package flugreservation;

import java.rmi.*;
import java.rmi.server.*;

/**
 * Title:
 * Description:
 * Copyright:    Copyright (c) 2000
 * Company:      Joller-Voss GmbH
 * @author J.M.Joller
 * @version 1.0
 */

public interface Flug {

    // Liste der Abflughfen
    public String [] bestimmeAlleAbflughafen();

    // Liste der Destinationen
    public String [] bestimmeAlleDestinationen();

    // FlugInfo Objekte
    public FlugInfo[] bestimmeVerfuegbareFluege (String origin, String dest, String datum);

    // Zeichenkette mit der Fluginfo
    public String produziereFlugString(FlugInfo flug);
}
