package flugreservation;

import java.rmi.*;
import java.rmi.server.*;

/**
 * Title:
 * Description:
 * Copyright:    Copyright (c) 2000
 * Company:      Joller-Voss GmbH
 * @author J.M.Joller
 * @version 1.0
 */

public interface Kunde {
	// Kundenrecord
	public KundenInfo liesKundenInfo(String kundenID) throws RemoteException;

	// Liste der mglichen Kunden (Vorname, Name)
	public KundenInfo[ ] liesKundenInfo(String vorName, String nachName) throws RemoteException;

	// Eintrag eines Kundenrecords in die Kundentabelle
	public void neueKundenInfo(String id, String nachName, String vorName, String strassenAdresse) throws RemoteException;

	public void bestehendeKundenInfo(String id, String nachName, String vorName, String strassenAdresse) throws RemoteException;

	// produziere eine neue Customer ID, mittels einer Formel, die nur ein Programmierer kenen kann
	public String produziereID(String nachName, String vorName) throws RemoteException;

	// KundenInfo Objekt als String
	public String produziereKundenString(KundenInfo info) throws RemoteException;
}
