package storedprocedure;

/**
 * Title:
 * Description:
 * Copyright:    Copyright (c) 2000
 * Company:      Joller-Voss GmbH
 * @author J.M.Joller
 * @version 1.0
 */

import java.sql.*;

public class StoredProcedureTest  {
  public static void main(String args[]) {
    System.out.println("[PrepareStatement]Start");
    String url = "jdbc:odbc:coffeebreak";
    Connection con;
    String query = "PROCEDURE Supplierliste; "+
		    "SELECT * FROM SUPPLIERS";
    Statement stmt;
    String createProcedure = "PROCEDURE Supplierliste; SELECT * FROM SUPPLIER";
    System.out.println("[PrepareStatement]: Treiber laden");
    try {
      Class.forName("sun.jdbc.odbc.JdbcOdbcDriver");
    } catch(java.lang.ClassNotFoundException e) {
      System.err.print("ClassNotFoundException: ");
      System.err.println(e.getMessage());
    }
    System.out.println("[PrepareStatement]: Procedure laden");
    try {
      con = DriverManager.getConnection(url, "myLogin", "myPassword");
      stmt = con.createStatement();
      System.out.println("[PrepareStatement]: prepareCall");
      CallableStatement cs = con.prepareCall("{PROCEDURE Abfrage1}");
      System.out.println("[PrepareStatement]: executeQuery");
      ResultSet rs = cs.executeQuery();
      //ResultSet rs = stmt.executeQuery(query);
      ResultSetMetaData rsmd = rs.getMetaData();
      int numberOfColumns = rsmd.getColumnCount();
      int rowCount = 1;
      while (rs.next()) {
        System.out.println("Row " + rowCount + ":  ");
        for (int i = 1; i <= numberOfColumns; i++) {
          System.out.print("   Column " + i + ":  ");
          System.out.println(rs.getString(i));
        }
        System.out.println("");
        rowCount++;
      }
      stmt.close();
      con.close();
    } catch(SQLException ex) {
      System.err.println("SQLException: Procedures werden nicht untersttzt   ");
      System.err.println(ex.getMessage());
    }
  }
}

